.footer-section .section-wrapper {
    --_footer-gap: calc(1.5rem * var(--body-scale));
    --_footer-about-width: 260px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.footer-container {
    width: 100%;
    padding-block: calc(2.5rem * var(--body-scale));
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    gap: var(--_footer-gap);
}

.footer-newsletter {
    width: 100%;
    display: flex;
    padding-block: calc(2.5rem * var(--body-scale));
    padding-inline: calc(2rem * var(--body-scale));
    flex-direction: column;
    gap: var(--_footer-gap);
    background-color: rgb(var(--secondary-background));
}

.footer-logo {
    width: 250px;
    height: 100px;
    margin-bottom: calc(1.5rem * var(--body-scale));
}

.footer-logo img {
    width: auto;
    height: 100%;
    object-fit: contain;
}

.footer-social {
    width: 100%;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    gap: calc(0.25rem * var(--body-scale));
}

.footer-big-logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.footer-big-logo {
    display: flex;
    align-items: center;
    width: 100%;
}

.footer-social ul {
    list-style: none;
    display: flex;
    gap: calc(0.5rem * var(--body-scale));
    align-items: center;
    flex-wrap: wrap;
    margin-inline-start: calc((.625rem * var(--body-scale)) * -1);
}

.footer-social ul a {
    display: block;
    padding: calc(.625rem * var(--body-scale));
    color: rgb(var(--text-color));
    transition: color 100ms ease-in-out;
}

.footer-social ul a:hover {
    color: rgb(var(--line-color));
}

.footer-social ul a svg {
    display: block;
    width: calc(1.5rem * var(--body-scale));
    height: calc(1.5rem * var(--body-scale));
}

.footer-about {
    max-width: var(--_footer-about-width);
    padding-right: calc(3.125rem * var(--body-scale));
}

.footer-about h2 {
    margin-bottom: calc(1.5rem * var(--body-scale));
}

.footer-about .follow-shop-button:not(:first-child) {
    margin-top: 1rem;
}

nav.footer_menu--items.footer-nav ul {
    list-style: none;
    margin-top: calc(1rem * var(--body-scale));
}

nav.footer_menu--items.footer-nav ul li a {
    text-decoration: none;
    padding-block: calc(0.5rem * var(--body-scale));
    display: block;
}

@media (hover: none),
(pointer: coarse) {
    nav.footer_menu--items.footer-nav ul {
        margin-top: calc(0.625rem * var(--body-scale));
    }

    nav.footer_menu--items.footer-nav ul li a {
        padding-block: calc(0.875rem * var(--body-scale));
    }
}

.footer-social ul {
    list-style: none;
    display: flex;
    gap: calc(0.5rem * var(--body-scale));
    align-items: center;
}

.footer-payment-icons {
    width: 100%;
}

.footer-payment-icons ul {
    list-style: none;
    display: flex;
    gap: calc(1.125rem * var(--body-scale));
    flex-wrap: wrap;
}

.footer-payment-icons li {
    width: calc(2.5rem * var(--body-scale));
}

.footer-copyright {
    padding-top: calc(1rem * var(--body-scale));
    border-width: 0px;
    border-top-width: 1px;
    border-style: solid;
    border-color: rgb(var(--line-color));
    width: 100%;
}

.footer-newsletter-form--input {
    display: flex;
    flex-wrap: wrap;
    gap: calc(0.625rem * var(--body-scale));
}

.footer-newsletter-form--input input {
    flex: 1;
    width: 250px;
}

.footer-content-wrapper {
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: var(--_footer-gap);
    justify-content: space-between;
    flex-wrap: wrap;
}

.success-box {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-top: calc(1.5rem * var(--body-scale));
}

.success-box svg {
    width: 14px;
    height: 14px;
    margin-right: calc(0.5rem * var(--body-scale));
}

.footer-section .form-message {
    display: none;
    margin-bottom: calc(1rem * var(--body-scale));
}

@media (min-width: 992px) {
    .footer-container {
        width: calc((100% / 12) * 8);
    }

    .footer-newsletter {
        width: calc((100% / 12) * 4);
    }
}

@media (min-width: 768px) {
    .footer-container {
        flex-direction: row;
    }

    .footer-content-wrapper {
        width: 100%;
    }

    .footer-content-wrapper .footer-about {
        width: var(--_footer-about-width);
        flex-shrink: 0;
    }

    .footer-content-wrapper .footer-menu-column {
        flex: 1;
        min-width: 180px;
    }
}

@media (max-width: 767px) {
    .footer-about {
        max-width: 100%;
        padding-right: 0px;
    }
}